Skip to main content
GET
/
users
List provisioned users
curl --request GET \
  --url https://api.truu.ai/api/v1/external/users \
  --header 'X-API-Key: <api-key>'
{
  "next_cursor": "<string>",
  "items": [
    {
      "tuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "user_principal_name": "<string>",
      "email_addresses": [
        "<string>"
      ],
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "security": {
        "total_cases": 123,
        "open_cases": 123,
        "cases_by_state": {
          "discover": 123,
          "pending_investigation": 123,
          "investigating": 123,
          "enforced": 123,
          "closed": 123
        },
        "active_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "last_case": {
          "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "threat_type": "data_exfiltration",
          "case_state": "discover",
          "created_at": "2023-11-07T05:31:56Z"
        },
        "last_threat_event": {
          "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "severity": "none",
          "signal_type": "core_iam",
          "source": "duo",
          "created_at": "2023-11-07T05:31:56Z"
        },
        "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "cluster_assigned_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Domain-scoped API key. Generate and manage keys from the API Keys page in Settings. Pass via the X-API-Key header.

Query Parameters

Filter by name or UPN (partial match)

is_active
boolean
page_size
integer
default:50
Required range: x <= 200
next_cursor
string

Response

Paginated list of users

next_cursor
string | null
items
object[]